<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum SocialLinkCollectionLayoutEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case Standard = '';
  case Inline = 'inline';
  case Block = 'block';
  case Vertical = 'vertical';

  public const SETTING_LABEL = 'AUX social link collection layout';

  public function label(): string
  {
    return match($this) {
      self::Standard => 'Standard',
      self::Inline => 'Inline',
      self::Block => 'Block',
      self::Vertical => 'Vertical',
    };
  }
}
